com.google.gwt.uibinder.elementparsers

## Class InterpreterPipe<T>

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.InterpreterPipe<T>

Type Parameters:
  `T` - The type returned by all members of the pipe

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>, com.google.gwt.uibinder.rebind.XMLElement.PostProcessingInterpreter<T>

    class InterpreterPipe<T>
    extends java.lang.Object
    implements com.google.gwt.uibinder.rebind.XMLElement.PostProcessingInterpreter<T>

Pairs `XMLElement.Interpreter` instances.

### Constructor Summary

Constructors
Constructor and Description
`InterpreterPipe()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `add(com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T> i)`
`T` `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)` Interpreters are fired in the order they were handed to the constructor.
`static <T> InterpreterPipe<T>` `newPipe(com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>... pipes)`
`java.lang.String` `postProcess(java.lang.String consumedText)` Called by various `XMLElement` consumeInner*() methods after all elements have been handed to `interpretElement(com.google.gwt.uibinder.rebind.XMLElement)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InterpreterPipe

    InterpreterPipe()

### Method Detail

#### newPipe

    public static <T> InterpreterPipe<T> newPipe(com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>... pipes)

#### add

    public void add(com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T> i)

#### interpretElement

    public T interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)
                       throws UnableToCompleteException

Interpreters are fired in the order they were handed to the constructor. If an interpreter gives a non-null result, downstream interpreters don't fire.

Specified by:
  `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>`
Returns:
  The T or null returned by the last pipelined interpreter to run
Throws:
  `UnableToCompleteException` - on error

#### postProcess

    public java.lang.String postProcess(java.lang.String consumedText)
                                 throws UnableToCompleteException

Called by various `XMLElement` consumeInner*() methods after all elements have been handed to `interpretElement(com.google.gwt.uibinder.rebind.XMLElement)`. Passes the text to be post processed to each pipe member that is instanceof `XMLElement.PostProcessingInterpreter`.

Specified by:
  `postProcess` in interface `com.google.gwt.uibinder.rebind.XMLElement.PostProcessingInterpreter<T>`
Throws:
  `UnableToCompleteException`